# FLOSS #

Free/Libre and Open Source Software, in short,
[FLOSS](http://en.wikipedia.org/wiki/FLOSS) is based on the concept of
a community, which itself is based on the concept of sharing, and
particularly the sharing of knowledge. FLOSS are free for usage,
modification and redistribution.

If you have already read this book, then you are already familiar with
FLOSS since you have been using **Python** all along and Python is an
open source software!

Here are some examples of FLOSS to give an idea of the kind of things
that community sharing and building can create:

[Linux](http://www.kernel.org)

:   This is a FLOSS OS kernel used in the GNU/Linux operating
    system. Linux, the kernel, was started by Linus Torvalds as a
    student. Android is based on Linux. Any website you use these days
    will mostly be running on Linux.

[Ubuntu](http://www.ubuntu.com)

:   This is a community-driven distribution, sponsored by Canonical
    and it is the most popular Linux distribution today. It allows you
    to install a plethora of FLOSS available and all this in an
    easy-to-use and easy-to-install manner. Best of all, you can just
    reboot your computer and run GNU/Linux off the CD! This allows you
    to completely try out the new OS before installing it on your
    computer. However, Ubuntu is not entirely free software; it
    contains proprietary drivers, firmware, and applications.

[LibreOffice](http://www.libreoffice.org/)

:   This is an excellent community-driven and developed office suite
    with a writer, presentation, spreadsheet and drawing components
    among other things. It can even open and edit MS Word and MS
    PowerPoint files with ease. It runs on almost all platforms and is
    entirely free, libre and open source software.

[Mozilla Firefox](http://www.mozilla.org/products/firefox)

:   This is *the* best web browser. It is blazingly fast and has
    gained critical acclaim for its sensible and impressive
    features. The extensions concept allows any kind of plugins to be
    used.

    Its companion product
    [Thunderbird](http://www.mozilla.org/products/thunderbird) is an
    excellent email client that makes reading email a snap.

[Mono](http://www.mono-project.com)

:   This is an open source implementation of the Microsoft .NET
    platform.  It allows .NET applications to be created and run on
    GNU/Linux, Windows, FreeBSD, Mac OS and many other platforms as
    well.

[Apache web server](http://httpd.apache.org)

:   This is the popular open source web server. In fact, it is *the*
    most popular web server on the planet! It runs nearly more than
    half of the websites out there. Yes, that's right - Apache handles
    more websites than all the competition (including Microsoft IIS)
    combined.

[VLC Player](http://www.videolan.org/vlc/)

:   This is a video player that can play anything from DivX to MP3 to
    Ogg to VCDs and DVDs to ... who says open source ain't fun? ;-)

This list is just intended to give you a brief idea - there are many
more excellent FLOSS out there, such as the Perl language, PHP
language, Drupal content management system for websites, PostgreSQL
database server, TORCS racing game, KDevelop IDE, Xine - the movie
player, VIM editor, Quanta+ editor, Banshee audio player, GIMP image
editing program, ... This list could go on forever.

To get the latest buzz in the FLOSS world, check out the following
websites:

- [OMG! Ubuntu!](http://www.omgubuntu.co.uk/)
- [Web Upd8](http://www.webupd8.org/)
- [DistroWatch](http://www.distrowatch.com)
- [Planet Debian](http://planet.debian.org/)

Visit the following websites for more information on FLOSS:

- [GitHub Explore](http://github.com/explore)
- [Code Triage](http://www.codetriage.com/)
- [SourceForge](http://www.sourceforge.net)
- [FreshMeat](http://www.freshmeat.net)

So, go ahead and explore the vast, free and open world of FLOSS!
